#include <bits/stdc++.h>
using namespace std;

typedef long long ll;
typedef vector<int> vi;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int t,n,k;
    cin >> t>>n>>k;

    if (t==1) {
        return 1;
    }

    vi a(n);
    for(int i = 0; i < n; i++) {
        cin >> a[i];
    }
    a.push_back(k);
    sort(a.begin(), a.end());

    bool possible = false;
    for (int i = 0; i<=n;  i++) {
        if (a[i] == k) {
            if (k == (i*2 - n)) {
                possible = true;
            }
        }
    }

    cout << (possible ? "DA\n" : "NE\n");
    return 0;
}